# frozen_string_literal: true

# demo for path problem
# - put into `spec/features/demo.rb`
# - run with `rspec --tag type:feature spec/features/demo.rb`

require 'spec_helper'
require 'pp'

describe :demo do

  subject { page }

  let(:person) { people(:top_leader) }
  let(:event_date) { Event::Date.new(start_at: 10.days.from_now) }
  let(:event) { Fabricate(:event, application_opening_at: 5.days.ago, groups: [group], dates: [event_date]) }
  let(:group) { groups(:bottom_layer_one) }

  before do
    sign_in(person)
  end

  it 'shows Events' do
    pp simple_group_events_path(group_id: group)
    visit simple_group_events_path(group_id: group)
    expect(page).to have_content 'CREATE SCREENSHOT'
  end

end
